Bug 40206 - New default connector/s4/mapping/group/syncmode=write ?
New default connector/s4/mapping/group/syncmode=write ?
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Samba 4 - Slave PDC
UCS@school 4.0 R2
Other Linux
: P5 enhancement (vote)
: UCS@school 4.0 R2 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on: 33883
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 20:34 CET by Stefan Gohmann
Modified: 2015-12-21 16:26 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-12-09 20:34:04 CET
Should be backported for UCS@school 4.0.

+++ This bug was initially created as a clone of Bug #33883 +++

It should be checked if connector/s4/mapping/user/syncmode=write may be used as new default in UCS@school installations.

+++ This bug was initially created as a clone of Bug #33711 +++

Currently we have only one sync mode for all types: connector/s4/mapping/syncmode

We should make it configurable, for example:
 connector/s4/mapping/group/syncmode

That could be a workaround for Bug #33466.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-12-16 12:37:59 CET
The UCR variable connector/s4/mapping/group/syncmode=write (please note: "group" is correct, "user" isn't!) will be set in all UCS@school meta packages. If installed, the s4 connector is conditionally restarted.
Added xml changelog entry.

Package: ucs-school-metapackage
Version: 7.0.3-2.160.201512161221

ucs-school-metapackage (7.0.3-2):
r66377 | Bug #33883/Bug #40206: set connector/s4/mapping/group/syncmode=write to prevent data loss at group objects if more than one S4 connector is used

NONE:
r66378 | Bug #40206: added xml changelog entry

Package has been pushed to test appcenter.
Comment 2 Florian Best univentionstaff 2015-12-16 18:22:37 CET
OK: master
OK: singlemaster
OK: slave
OK: slave-nonedu
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-12-21 16:26:09 CET
UCS@school 4.0 R2 v4 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0R2v4-de.html

If this error occurs again, please use "Clone This Bug".